{
  "Language": "English (CAN)",
  "Code": "en_CA",
  "Patterns": [
    {
      "Name": "Phone Numbers",
      "Desc": "This pattern will search for 7-digit phone numbers separated by punctuation marks, as well as leading area codes.",
      "ID": "phones.ptn",
      "Example": "For example:\n555-1234\n212.555.1212\n1 (212) 555-1234",
      "Value": "(\\b\\s?)((\\+?\\d{1}(-|\\s|\\.|_))((\\(\\d{3}\\)|\\d{3})(-|\\s|\\.|_)?)|((\\(\\d{3}\\)|\\d{3})(-|\\s|\\.|_)?))?(\\d{3}(-|\\s|\\.|_)\\d{4})(\\b)"
    },
    {
      "Name": "Credit cards",
      "Desc": "This pattern will search for 16-digit credit card numbers, either consecutive or separated by punctuation marks.",
      "ID": "credits.ptn",
      "Example": "For example:\n1234 5678 9012 3456",
      "Value": "(\\b)(((\\d{4}(-|\\s|\\.|_)?){3}(\\d{3,4}))|(\\d{4}(-|\\s|\\.|_)?\\d{6}(-|\\s|\\.|_)?\\d{5}))(\\b)"
    },
    {
      "Name": "Social security numbers",
      "Desc": "This pattern will search for 9-digit social insurance numbers, either consecutive or 3 digits plus 3 digits plus 3 digits (separated by punctuation marks).",
      "ID": "ssns.ptn",
      "Example": "For example:\n123-456-789",
      "Value": "(\\b)(((\\d{3}(-|\\s|\\.|_)){2}\\d{3})|(\\d{9}))(\\b)"
    },
    {
      "Name": "Emails",
      "Desc": "This pattern will search for email addresses.",
      "ID": "emails.ptn",
      "Example": "For example:\nJohn.Doe@acme.com\nJohn_Doe_1234@acme.gov\njohn-doe@marketing.acme.net",
      "Value": "([([a-zA-Z0-9_\\-\\.])*@([([a-zA-Z0-9_\\-\\.])+\\.([a-zA-Z\\.]+)"
    },
    {
      "Name": "Dates",
      "Desc": "This pattern will search for 6-8 digit numbers, either consecutive or separated by punctuation marks.",
      "ID": "dates.ptn",
      "Example": "For example:\n01-01-2008\n2008-01-01\n01-01-08",
      "Value": "(\\b)(((\\d{2}(\\||\\-|\\.|\\s|\\|/|_)){2}\\d{2}(\\d{2})?)|(\\d{4}((\\||\\-|\\.|\\s|\\|/|_)\\d{2}){2})|(\\d{6}(\\d{2})?))(\\b)"
    }
  ]
}